Bug 9003 - Wrong ACCESS_DENIED with gpfs posix ACLs and Windows 7
Wrong ACCESS_DENIED with gpfs posix ACLs and Windows 7
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 13:34 UTC by Björn Baumbach
Modified: 2012-06-30 11:22 UTC (History)
1 user (show)

See Also:


Attachments
fix for bug 9003 - samba 3.5 (1.03 KB, patch)
2012-06-22 13:55 UTC, Björn Baumbach
obnox: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2012-06-22 13:34:30 UTC
A user, member of a specific group, has no access to a directory, although there is an ACL which allows access for this group.

This happens on a GPFS share with "all" ACL semantics (posix and nfs4 mode). With nfs4 it is working correctly.

Example ACL:
# owner: root
# group: root
user::rwx
group::rwx
group:zgroup:rwx
mask::rwx
other::---

Patch follows up.

Björn
Comment 1 Björn Baumbach 2012-06-22 13:55:11 UTC
Created attachment 7668 [details]
fix for bug 9003 - samba 3.5
Comment 2 Michael Adam 2012-06-22 14:01:55 UTC
Comment on attachment 7668 [details]
fix for bug 9003 - samba 3.5

Great that this subtle bug is finally fixed!
Comment 3 Michael Adam 2012-06-22 14:03:25 UTC
==> Karolin for 3.5.NEXT

Or do you need another official "review +" here in bugzilla?
Volker has just debugged and coded this with Björn (see the patch author).
Comment 4 Stefan Metzmacher 2012-06-22 14:25:30 UTC
Comment on attachment 7668 [details]
fix for bug 9003 - samba 3.5

Looks good, please also pick this for 3.6 if it applies
Comment 5 Björn Baumbach 2012-06-22 14:31:49 UTC
(In reply to comment #4)
> Looks good, please also pick this for 3.6 if it applies

Applies on v3-6-test.
Comment 6 Stefan Metzmacher 2012-06-26 10:29:51 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Looks good, please also pick this for 3.6 if it applies
> 
> Applies on v3-6-test.

It's commit e7b58146d8576ae8bf4eaf2ec1063fe7697e05b8 in master
Comment 7 Karolin Seeger 2012-06-30 11:22:48 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.

Thanks!